using Wizard.RoomMatch;

namespace Wizard;

public class RoomBattle2PickDoMatchingTask : RoomBattleDoMatchingTask
{
	public class RoomBattle2PickDoMatchingTaskParam : BaseParam
	{
		public int deck_no;
	}

	public RoomBattle2PickDoMatchingTask(TwoPickFormat deckFormatType, RoomConnectController.BattleRule rule)
		: base(isConvention: false, isGathering: false)
	{
		base.type = RoomTwoPickApiVariation.GetApiType(deckFormatType, rule, RoomTwoPickApiVariation.VariationType.DoMatching);
		SkipCuteTimeOutPopup();
		SkipCuteHttpStatusErrorPopup();
		SkipAllCuteResultCodeCheckErrorPopup();
	}
}
